Get fulfillment order csv export
GET
/merchants/{merchantCode}/fulfillmentOrders/exportCsv
const url = 'https://order.shopgate.io/v1/merchants/example/fulfillmentOrders/exportCsv';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://order.shopgate.io/v1/merchants/example/fulfillmentOrders/exportCsvGet fulfillment order csv export
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Unique merchant code which represents the unique “merchant account”.
Query Parameters
Section titled “Query Parameters”filters
string
Filter string. Available filter: locationCode, status, orderNumber, externalCode, name, billingName, customerId, salesOrderNumber, submitDate, completeDate, readyDate, pickupReminderApplicableAt, holdUntil, plannedFulfillmentDate, pickupReminderApplicableAt, type, pickingBatchId, statusChangeDate, createDate
Responses
Section titled “Responses”Returns a csv with data for the selected report type
Media typetext/csv
string
Export limit exceeded or malformed filters
Media typetext/csv
object
code
Machine readable error code
string
message
required
Human readable error code
string
Example
{ "code": "internal.database", "message": "Internal Database Error"}
